
Core - Bug # 35284

Status: Resolved Priority: Must have
Author: Andreas Lappe Category: PRJ: Forms
Created: 2012-03-27 Assigned To:
Updated: 2015-07-19 Due date:
TYPO3 Version: 4.6
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Alphanumeric-Validator fails on umlauts
Description

The alphanumeric validator fails to validate for umlauts or other non-ascii letters.

I will add the RFC in gerrit…

So long
Andy

Related issues:
related to Core - Bug # 41074: ext:form unit test and unicode fix Resolved 2012-09-19

Associated revisions
Revision 8b8dd434 - 2012-04-01 12:29 - Andreas Lappe

[BUGFIX] Make alphanum. filter work with umlauts

Changes the regular expression used to validate the string into a
unicode-aware character-class and adds two tests for this.

Change-Id: I8cb83376ec3a029a0729cf950d385518746904b4
Fixes: #35284
Releases: 4.6, 4.7, 6.0
Reviewed-on: http://review.typo3.org/10065
Reviewed-by: Andreas Wolf
Tested-by: Andreas Wolf

Revision 73af487a - 2012-09-19 20:14 - Christian Kuhn

[BUGFIX] EXT:form tests and unicode fix

This cleans up the existing EXT:form tests and
adds them to the travis testsuite.

The two filter test cases fail on systems like debian with
PHP 5.3.3 due to a broken PCRE environment. This issue is
identical to #39123 and the fix is very similar.

Change-Id: I18d806d795a40ff6aed8dbe388a3ddfb91d15fe3
Resolves: #41074
Related: #39123
Related: #35296
Related: #35284
Releases: 6.0
Reviewed-on: http://review.typo3.org/14738
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 8dd45c2e - 2012-10-13 12:42 - Andreas Lappe

[BUGFIX] Make alphanum. filter work with umlauts

Changes the regular expression used to validate the string into a
unicode-aware character-class and adds two tests for this.

Change-Id: Ie5d18308424c428eb6a229ba0fa82076ba5da84e
Fixes: #35284
Releases: 4.6, 4.7, 6.0
Reviewed-on: http://review.typo3.org/13932
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 1ded7e35 - 2012-10-13 18:10 - Andreas Lappe

[BUGFIX] Make alphanum. filter work with umlauts

Changes the regular expression used to validate the string into a
unicode-aware character-class and adds two tests for this.

Change-Id: I93e7bce7d327e19a72ba1342fb37c3ead2f57b73
Fixes: #35284
Releases: 4.6, 4.7, 6.0
Reviewed-on: http://review.typo3.org/13931
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2012-03-27 17:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/9923
#2 - 2012-03-28 18:17 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/9923

#3 - 2012-03-28 18:58 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10065

#4 - 2012-04-01 12:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10065

#5 - 2012-04-01 14:30 - Andreas Lappe
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8b8dd434da6cfc39b4839173508034ede4f087ce.

#6 - 2012-09-19 19:49 - Christian Kuhn

If this issue is backported to other core versions, the fix here should be merged with the unicode follow-up part from patch #41074

#7 - 2015-07-19 12:35 - Bjoern Jacob
- Category changed from Form Wizard to PRJ: Forms
- Is Regression set to No
